#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  zEs
} from "../../../../chunk-O6UZH2O7.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/solid/dist/files/$README.md.js
async function getReadme(props) {
  const content = await zEs(props);
  const about = `

This app is ready to start. It's powered by [Vike](https://vike.dev) and [SolidJS](https://www.solidjs.com/guides/getting-started).

### Plus files

[The + files are the interface](https://vike.dev/config) between Vike and your code.

- [\`+config.ts\`](https://vike.dev/settings) \u2014 Settings (e.g. \`<title>\`)
- [\`+Page.tsx\`](https://vike.dev/Page) \u2014 The \`<Page>\` component
- [\`+data.ts\`](https://vike.dev/data) \u2014 Fetching data (for your \`<Page>\` component)
- [\`+Layout.tsx\`](https://vike.dev/Layout) \u2014 The \`<Layout>\` component (wraps your \`<Page>\` components)
- [\`+Head.tsx\`](https://vike.dev/Head) - Sets \`<head>\` tags
- [\`/pages/_error/+Page.tsx\`](https://vike.dev/error-page) \u2014 The error page (rendered when an error occurs)
- [\`+onPageTransitionStart.ts\`](https://vike.dev/onPageTransitionStart) and \`+onPageTransitionEnd.ts\` \u2014 For page transition animations

### Routing

[Vike's built-in router](https://vike.dev/routing) lets you choose between:
 - [Filesystem Routing](https://vike.dev/filesystem-routing) (the URL of a page is determined based on where its \`+Page.jsx\` file is located on the filesystem)
 - [Route Strings](https://vike.dev/route-string)
 - [Route Functions](https://vike.dev/route-function)

### SSR

SSR is enabled by default. You can [disable it](https://vike.dev/ssr) for all or specific pages.

### HTML Streaming

You can [enable/disable HTML streaming](https://vike.dev/stream) for all or specific pages.`;
  content.addMarkdownFeature(about, "solid");
  return content;
}
export {
  getReadme as default
};
